// CFileAndFindDoc.h -- document class
// Created 21/3/96 12:09 by AppMaker

#pragma once

#include <LSingleDoc.h>
#include "oofpp.hpp"

// Define the creator type and file type for your application:
#define kSignature		'FnF1'
#define kFileType		'OOCT'

class dbConnect;
class	CdbArticles;

class	CListArticles;

//----------
class	CFileAndFindDoc : public LSingleDoc, public dbDocHelper {
public:
						CFileAndFindDoc	(LCommander	*inSuper);
	virtual				~CFileAndFindDoc();

	virtual void		newFile();
	virtual void		openFile	(FSSpec		*inFileSpec);

	virtual void		DoPrint();

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	virtual void		DoAddArticleLocation();
	virtual void		DoDelArticleLocation();

protected:
private:
void CompleteOpenFile(FSSpec		*inFileSpec);
void MakeDatabaseObjects();

// OOFILE members
dbConnect		*mData;	// owned
CdbArticles	*mArticles;	// owned
};
